using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{
    [Table("dms_base_device_ledger")]
    public class DmsBaseDeviceLedger
    {
        [Key]
        [Column("device_id")]
        public long DeviceId { get; set; }

        [Column("device_code")]
        public string DeviceCode { get; set; }

        [Column("device_name")]
        public string DeviceName { get; set; }

        [Column("station_id")]
        public string StationId { get; set; }

        [Column("asset_number")]
        public string AssetNumber { get; set; }

        [Column("device_location")]
        public string DeviceLocation { get; set; }

        [Column("device_type_id")]
        public string DeviceTypeId { get; set; }

        [Column("device_spec")]
        public string DeviceSpec { get; set; }

        [Column("supplier_id")]
        public string SupplierId { get; set; }

        [Column("device_status")]
        public string DeviceStatus { get; set; }

        [Column("is_flag")]
        public int IsFlag { get; set; }

        [Column("remark")]
        public string Remark { get; set; }
    }
}
